[Skip to main content](https://www.t-mobile.com#content-main) [![T-Mobile Advertising Solutions](https://www.t-mobile.com/content/dam/tmobile/branding/logos/corporate/Advertising-Solutions_TM_Logo_TMO_RGB-v3.svg)](https://www.t-mobile.com/advertising-solutions) [![T-Mobile Advertising Solutions](https://www.t-mobile.com/content/dam/tmobile/branding/logos/corporate/Advertising-Solutions_TM_Logo_TMO_RGB-v3.svg)](https://www.t-mobile.com/advertising-solutions) - [Audience Insights](https://www.t-mobile.com/advertising-solutions/audience-insights) - [Media Solutions](https://www.t-mobile.com) Media Solutions - [Mobile Media](https://www.t-mobile.com/advertising-solutions/mobile-media#INTNAV=tNAV:MediaSolutions:MobileMedia) - [App Install](https://www.t-mobile.com/advertising-solutions/app-install#INTNAV=tNAV:MediaSolutions:AppInstall) - [Rideshare Advertising](https://www.t-mobile.com/advertising-solutions/rideshare-advertising#INTNAV=tNav:MediaSolutions:RideshareAdvertising) - [Retail Media](https://www.t-mobile.com) Retail Media - [Advertisers](https://www.t-mobile.com/advertising-solutions/in-store-retail-media-advertisers) - [Retailers](https://www.t-mobile.com/advertising-solutions/in-store-retail-media-retailers) - [Platforms](https://www.t-mobile.com) Platforms - [Blis](https://blis.com/us/) - [Vistar Media](https://www.vistarmedia.com/) [Contact Us](https://www.t-mobile.com/advertising-solutions/contact-us.html?INTNAV=tNav%3AContactUs) [](https://www.t-mobile.com) ## DOCUMENTATION - [Getting Started with Magenta Advertising Platform](https://www.t-mobile.com/advertising-solutions/map/developer/documentation/getting-started-with-magenta-advertising-platform.html) - [Publisher Data Collection Compliance Requirements](https://www.t-mobile.com/advertising-solutions/map/developer/documentation/publisher-data-collection-compliance-requirements.html) ## CONSOLE - [Uploading Audiences](https://www.t-mobile.com/advertising-solutions/map/developer/console/uploading-audiences.html) ## DATA MARKETPLACE API - [Overview](https://www.t-mobile.com/advertising-solutions/map/developer/data-marketplace-api/overview.html) - [Attributes](https://www.t-mobile.com/advertising-solutions/map/developer/data-marketplace-api/attributes.htm) - [Import](https://www.t-mobile.com/advertising-solutions/map/developer/data-marketplace-api/import.html) - [Data File Format](https://www.t-mobile.com/advertising-solutions/map/developer/data-marketplace-api/data-file-format.html) - [Taxonomy File Format](https://www.t-mobile.com/advertising-solutions/map/developer/data-marketplace-api/taxonomy-file-format.html) ## DATA TRANSFER AND INTEGRATION - [](https://www.t-mobile.com)[AWS S3 Access](https://www.t-mobile.com/advertising-solutions/map/developer/data-transfer-and-integration/aws-s3-access.html) # Import The import endpoint allows you to instruct Magenta Advertising Platform to import a file containing Advertising Identifiers and associated Attributes from S3. When you are provisioned by Magenta Advertising Platform, you will be given a set of Amazon Web Services S3 credentials and a bucket/path prefix. You will then create the data files to be imported, upload each file to Amazon S3 and then post to the import API endpoint to tell Magenta Advertising Platform to queue the import job. You can also request import logs via the API to check on status of each file you queue for import. Magenta Advertising Platform also supports ingestion from your own S3 bucket. When you call the "/v1/marketplace/import" endpoint, you can optionally supply a bucket and credentials to be used for the import. If those are not supplied, Magenta Advertising Platform will attempt to ingest from the bucket and path we allocated to you during partner setup. An import is a complete replacement for all attributes present in the platform. An import is not an append, it is a delete followed by an insert. Each time you perform an import you must send a full list of all ids associated with each attribute. This does not mean all the data must be in a single file. It is actually better if the data is split across multiple files as it allows us to process the data more quickly. Do not make an import API call for each file, instead upload all the files to a common prefix/directory and specify the prefix as part of the import API call. We will load all files with the same prefix in parallel. Imports are queued and will complete in the order submitted. ## Endpoint [https://api.magentamarketing.com/v1/marketplace/import](https://api.magentamarketing.com/v1/marketplace/import) ## List import logs Lists the last 100 import jobs in reverse order of creation. __cURL__ ``` curl -X GET -H "Authorization: Bearer " "https://api.magentamarketing.com/v1/marketplace/import" ``` ## Response __JSON__ ``` [ { "import_log_id":3, "file_path":"export1.csv", "path_type": 0, "key_type": 0, "status":0, "log_type": 0, "keys":null, "unique_devices":"1234", "total_rows":"1300", "errors":null, "created_at":"2016-09-16T15:49:01.437Z", "updated_at":"2016-09-16T15:49:01.437Z" }, { "import_log_id":4, "file_path":"export2.csv", "path_type": 0, "key_type": 1, "status":0, "log_type": 0, "keys":null, "unique_devices":"4321", "total_rows":"5000", "errors":null, "created_at":"2016-09-1T5:49:01.437Z", "updated_at":"2016-09-1T5:49:01.437Z" } ] ``` | | | |--------|---------------------------------------------------------------------------------------------------------------------------------------------| | Status | Meaning | | 0 | Pending. All requests are handled in the order they are received. If your import shows this status code it is waiting behind other imports. | | 1 | Importing. | | 2 | Done | | 3 | Error. Something happened during the import |   ## Get import log Gets a single import log entry __cURL__ ``` curl -X GET -H "Authorization: Bearer " "https://api.magentamarketing.com/v1/marketplace/import/3" ``` ## Response __JSON__ ``` [ { "import_log_id":3, "file_path":"export1.csv", "path_type": 0, "key_type": 1, "status":0, "log_type": 0, "keys":null, "unique_devices":"1234", "total_rows":"1300", "errors":null, "created_at":"2016-09-16T15:49:01.437Z", "updated_at":"2016-09-16T15:49:01.437Z" } ] ``` ## Import Queues a file for import. ## Parameters Field Required Type Description    file\_path Y  string A relative file path. Do not include s3://import-pushspring-com or your issued path prefix. If you uploaded a file to s3://import-pushspring-com//export.csv the relative path would be "export.csv". If you specify a path\_type of 1 below this should be a absolute path of the form s3:///. This can also represent a path prefix. If a path prefix is used all files under that prefix will be loaded. If you need to load multiple files per day this method is recommended over individual import calls.  key\_type Y integer Indicates the types of keys in file that is imported. 0 = MAP assigned attribute\_id 1 = partner\_foreign\_key associated with attribute Make sure the partner\_foreign\_key is associated with an attribute before importing the file. path\_type N         compressed N  boolean If not specified and path\_type includes a single file we will look at the file extension and if it is ".gz" we will assume the file is compressed. If you are using a path prefix for the file\_path you must specify this as there is no file extension to look at to determine if the file is compressed. Defaults to false. credentials  N  object For a Partner-Owned S3 bucket credentials should contain: { "accessKeyId": "XXXXX", "secretAccessKey":"YYYY", "region":"ZZZZZ" } Region should be whatever AWS region your bucket is in, e.g. 'us-west-2' file\_path can be either a file i.e. export.csv OR a path prefix like 2020/09/15/. If a path prefix we will load all the files in parallel. ## Sample __cURL__ ``` curl -X POST -H "Authorization: Bearer " -H "Content-Type: application/json" -d '{ "file_path":"export.csv", "key_type":0 }' "https://api.magentamarketing.com/v1/marketplace/import" ``` ## Response __JSON__ ``` { "import_log_id":4 } ``` ## Delete Occasionally you may need to delete the data associated with an attribute. NOTE: This data is permanently deleted and cannot be restored. Field Required  Description   key\_type  Y Indicates the types of keys in file that is imported. 0 = MAP assigned attribute\_id 1 = partner\_foreign\_key associated with attribute Make sure the partner\_foreign\_key is associated with an attribute before importing the file.   keys  Y Either the attribute\_ids or partner\_foreign\_keys you wish to delete.     ## Sample __cURL__ ``` curl -X POST -H "Authorization: Bearer " -H "Content-Type: application/json" -d '{ "file_path":"export.csv", "key_type":0 }' "https://api.magentamarketing.com/v1/marketplace/import" ``` ## Response __JSON__ ``` { "import_log_id":4 } ``` ## Hello! Want to stay logged in? To keep your accounts safe, you'll be automatically logged out in:  Yes, stay logged in No, log me out ## Share your screen while on a call or in store __Get guided support from an Expert in real time__ - For your security, personal info, tabs, and notifications are automatically hidden. - You can stop screen sharing at any time. - Experts can only see what’s on T-Mobile.com. - Don’t use screen share while driving or in any situation where it's unsafe to focus on your screen. By clicking 'Accept and continue,' you are consenting to allow the Expert to view your screen for assisted navigation. This session may be recorded. To learn more, please visit the 
[__T-Mobile Privacy Notice__](https://www.t-mobile.com/privacy-center/privacy-notices/t-mobile-privacy-notice). Accept and continue No thanks __Next:__ Generate a code to share with your Expert ## Share this code with your Expert code Once your code has been successfully entered by your Expert, this window will close and continue to the session. ## Allow screen sharing with your Expert? Personal and sensitive data is hidden for your security and privacy. Allow Don’t allow ## End your session? Ending your session will stop sharing your screen, but will not end your call. End session Continue session ## Your session has ended Your screen is no longer being shared with your Expert. OK Share again ## You are already in an active session OK ## Your code has expired Generate a new one to share with your Expert. Generate new code T-Mobile Advertising Solutions - [English](https://www.t-mobile.com) - [Español](https://www.t-mobile.com) - ### Legal Legal - [T-Mobile Privacy Notice](https://www.t-mobile.com/privacy-center/privacy-notices/t-mobile-privacy-notice) - [Privacy Center](https://www.t-mobile.com/privacy-center) - ### Contact us Contact us - [Contact Advertising Solutions](https://www.t-mobile.com/advertising-solutions/contact-us) [![T-Mobile](https://www.t-mobile.com/content/dam/t-mobile/ntm/branding/logos/corporate/tmo-logo-white-v3.svg)](https://www.t-mobile.com/) - [About](https://www.t-mobile.com/our-story) - [Investor relations](https://investor.t-mobile.com/default.aspx?INTNAV=fNav%3AInvestorRelations) - [Press](https://www.t-mobile.com/news) - [Careers](https://careers.t-mobile.com?INTNAV=fNav%3ACareers) - [Deutsche Telekom](https://www.telekom.com/en?INTNAV=fNav%3ADeutscheTelekom) - [Puerto Rico](https://www.t-mobilepr.com/?INTNAV=fNav%3APuertoRico) - [Privacy Notice](https://www.t-mobile.com/privacy-center/privacy-notices/t-mobile-privacy-notice) - [Trust Center](https://security.t-mobile.com/?INTNAV=fNav%3ATrustCenter) - [Privacy Center](https://www.t-mobile.com/privacy-center) - [Consumer information](https://www.t-mobile.com/responsibility/consumer-info) - [Public safety/911](https://www.t-mobile.com/responsibility/consumer-info/safety/9-1-1) - [Terms & conditions](https://www.t-mobile.com/responsibility/legal/terms-and-conditions) - [Terms of use](https://www.t-mobile.com/responsibility/consumer-info/policies/terms-of-use) - [Accessibility](https://www.t-mobile.com/responsibility/consumer-info/accessibility-policy) - [Open Internet](https://www.t-mobile.com/responsibility/consumer-info/policies/internet-service) - [Do Not Sell or Share My Personal Information](https://www.t-mobile.com) - [Licenses & Patents](https://www.t-mobile.com/responsibility/legal/licenses-and-patents) - [Consumer Health Data Privacy Notice](https://www.t-mobile.com/privacy-center/privacy-notices/t-mobile-privacy-notice.html?INTNAV=fNav%3AConsumerHealthDataPrivacyNotice#health-data-privacy-notice) - T-Mobile, the T logo, Magenta and the magenta color are registered trademarks of Deutsche Telekom AG. - [Instagram](https://www.instagram.com/tmobile/) - [Facebook](https://www.facebook.com/TMobile) - [X](https://twitter.com/TMobile) - [You Tube](https://www.youtube.com/user/TMobile/custom) © 2026 T‑Mobile USA, Inc. ![T-Mobile Logo](https://www.t-mobile.com/content/dam/digx/tmobile/us/en/branding/logos/tmobile_logo_64x64.png) ## Stay up to date with notifications Get the latest from T-Mobile when you’re using the web. You can opt out any time. Allow notifications Don't allow ![T-Mobile Logo](https://www.t-mobile.com/content/dam/digx/tmobile/us/en/branding/logos/tmobile_logo_64x64.png) ## Get the latest from T-Mobile Stay up to date with notifications - including offers just for you Allow notifications Don't allow notifications ![T-Mobile Logo](https://www.t-mobile.com/content/dam/digx/tmobile/us/en/branding/logos/tmobile_logo_64x64.png) ## Stay up to date with notifications Get the latest from T-Mobile when you’re using the web. You can opt out any time. Allow notifications Don't allow ![T-Mobile Logo](https://www.t-mobile.com/content/dam/digx/tmobile/us/en/branding/logos/tmobile_logo_64x64.png) ## Get the latest from T-Mobile Stay up to date with notifications - including offers just for you Allow notifications Don't allow notifications